%global pypi_name Django-Select2
%global pkgname django-select2
%global summary Select2 option fields for Django
Name:           python-django-select2
Version:        5.8.10
Release:        1%{?dist}
Summary:        %{summary}

License:        ASL 2.0
URL:            https://github.com/applegrew/django-select2
Source0:        https://files.pythonhosted.org/packages/source/D/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
Django includes basic select widget, which just generates
<select><option>…</option>…</select> tags.  Although their 
‘looks’ can be improved using basic CSS, but we hit a usability
problem when there are too many options to select from. 
This is where Django-Select2 comes into picture.

%package -n python2-%{pkgname}
Summary:        %{summary} - Python 2 version
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python2-django
BuildRequires:  python2-django

%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname}
Django includes basic select widget, which just generates
<select><option>…</option>…</select> tags.  Although their
‘looks’ can be improved using basic CSS, but we hit a usability
problem when there are too many options to select from.
This is where Django-Select2 comes into picture.
This package provides Python 2 build of %{pypi_name}.

%package -n python3-%{pkgname}
Summary:        %{summary} - Python 3 version
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-django
BuildRequires:  python3-django

%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
Django includes basic select widget, which just generates
<select><option>…</option>…</select> tags.  Although their
‘looks’ can be improved using basic CSS, but we hit a usability
problem when there are too many options to select from.
This is where Django-Select2 comes into picture.
This package provides Python 3 build of %{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove calls to nonexistent files in the template MANIFEST.in
sed -i -e '3d' -i -e '5,7d' MANIFEST.in

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

for file in `find %{buildroot}/%{python2_sitelib}/django_select2 -type f -perm /a+x ! -name '*.py'`; do
        chmod -vR a-x $file
done
for file in `find %{buildroot}/%{python3_sitelib}/django_select2 -type f -perm /a+x ! -name '*.py'`; do
        chmod -vR a-x $file
done

%files -n python2-%{pkgname}
%doc PKG-INFO
%license LICENSE.txt
%{python2_sitelib}/django_select2
%{python2_sitelib}/Django_Select2-*.egg-info

%files -n python3-%{pkgname}
%doc PKG-INFO
%license LICENSE.txt
%{python3_sitelib}/django_select2
%{python3_sitelib}/Django_Select2-*.egg-info

%changelog

* Sat Feb 11 2017 Eduardo Echeverria  <echevemaster@gmail.com> - 5.8.10-1
- Update to 5.8.10

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 5.8.9-2
- Rebuild for Python 3.6

* Fri Aug 19 2016 Jan Beran <jberan@redhat.com> - 5.8.9-1
- update to version 5.8.9
- source update
- modernized specfile with Python 3 packaging

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.1-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 1 2015 Eduardo Echeverria <echevemaster@gmail.com> - 5.2.1-1
- Update to 5.2.1

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 15 2014 Eduardo Echeverria <echevemaster@gmail.com> - 4.2.2-1
- Update to 4.2.2

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 25 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.0-1
- Updated to version 4.0.0

* Tue Feb 12 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 3.2.1-1
- Updated to version 

* Wed Nov 28 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 3.1.4-1
- Initial packaging

